##############################################################################
#
# MajorAdmin Scripts: generate list specific configuration file.
# Copyright (C) 1999 Jwit <jwit@sinnerz.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# Jwit <jwit@sinnerz.com>
# [98.12.28]
# (99.02.11)

system("clear");

print <<"EOT";
You must enter an answer to every question. Hitting enter on a blank line
will NOT enter the example value shown.


EOT

$flag = "n";

print <<"EOT";
Enter the full email address for posting to the list
(yourlist\@yourhost.com)
EOT
chop($LISTADDR = <STDIN>);
($LIST, $LHOST) = split(/\@/, $LISTADDR);

# FROMADDR
print <<"EOT";
Enter the email address you will be administering the list from
(yourname\@yourhost.com)
EOT
chop($FROMADDR_IN = <STDIN>);
($FROMADDR_NAME, $FROMADDR_HOST) = split(/\@/, $FROMADDR_IN);

# TOADDR
print <<"EOT";
Enter the email address of the majordomo server
(majordomo\@yourhost.com)
EOT
chop($TOADDR_IN = <STDIN>);
($TOADDR_NAME, $TOADDR_HOST) = split(/\@/, $TOADDR_IN);

# SENDMAIL
print <<"EOT";
Enter the full path to your sendmail binary
(/usr/bin/sendmail)
EOT
chop($SENDMAIL_IN = <STDIN>);

# PASSWORD
print <<"EOT";
Enter the administration password for your list
EOT
chop($PASSWORD_IN = <STDIN>);
system("clear");

# BSUFFIX
while (lc($flag) eq "n") {
    print "Enter the file extension for the banned list.\n";
    print "(.banned)\n";
    chop($BSUFFIX_IN = <STDIN>);
    print "Your banned file will be called ${LIST}${BSUFFIX_IN}\n";
    print "Is that acceptable? (Y/n): ";
    chop($flag = <STDIN>);
}

# RSUFFIX
$flag = "n";
while (lc($flag) eq "n") {
    print "Enter the file extension for the allowed-to-post list.\n";
    print "(.lusers) [no pun intended ;)]\n";
    chop($RSUFFIX_IN = <STDIN>);
    print "Your banned file will be called ${LIST}${RSUFFIX_IN}\n";
    print "Is that acceptable? (Y/n): ";
    chop($flag = <STDIN>);
    if ($RSUFFIX_IN eq $BSUFFIX_IN) {
	print "WARNING: banned list extension cannot be the same as the allowed-to-post\n";
	print "extension. Press CTRL-C now to start over or enter a new value for\n";
	print "the allowed-to-post extension.\n";
	$flag = "n";
    }
}

# RESTRICTED
print <<"EOT";
Is your list set in restrict_post mode? (y/N):
EOT
chop($RESTRICTED_IN = <STDIN>);


open(CONF, ">$ENV{'MAJORADMINETC'}/${LIST}.conf") || die("Error opening .conf file: $!");
print CONF "\$VKEY = \"990213\"\;\n";
print CONF "\$BSUFFIX = \"$BSUFFIX_IN\"\;\n";
print CONF "\$RSUFFIX = \"$RSUFFIX_IN\"\;\n";
print CONF "\$FROMADDR = \"$FROMADDR_NAME\\\@$FROMADDR_HOST\"\;\n";
print CONF "\$TOADDR = \"$TOADDR_NAME\\\@$TOADDR_HOST\"\;\n";
print CONF "\$SENDMAIL = \"$SENDMAIL_IN\"\;\n";
print CONF "\$PASSWORD = \"$PASSWORD_IN\"\;\n";
if (lc($RESTRICTED_IN) eq "y") { print CONF "\$RESTRICTED = \"1\"\;\n"; }
else { print CONF "\$RESTRICTED = \"0\"\;\n"; }
print CONF "\n\n1\;\n";
close(CONF);

print "Your config file has now been written to:\n";
print "$ENV{'MAJORADMINETC'}/${LIST}.conf\n\n";
chmod(0600, "~/${LIST}.conf");
